## ros-humble-launch 1.0.4

=== debian/changelog ===
ros-humble-launch (1.0.4-1jammy) jammy; urgency=high

  * Allow ReadyToTest() usage in event handler (#681 <https://github.com/ros2/launch/issues/681>)
  * Contributors: Nikolai Morin

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Jan 2023 06:00:00 -0000

ros-humble-launch (1.0.3-1jammy) jammy; urgency=high

  * Fix bug in test_push_and_pop_environment.py
  * Fix the restoring of os.environ to maintain type. (#656 <https://github.com/ros2/launch/issues/656>)
  * Addresses issue #588 <https://github.com/ros2/launch/issues/588>, allowing dict for 'output' (backport #640 <https://github.com/ros2/launch/issues/640>) (#647 <https://github.com/ros2/launch/issues/647>)
  * Contributors: Chris Lalancette, mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 18 Oct 2022 05:00:00 -0000

ros-humble-launch (1.0.2-1jammy) jammy; urgency=high

  * Expose shutdown action to xml frontend (#611 <https://github.com/ros2/launch/issues/611>)
  * Contributors: Aditya Pande

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 May 2022 05:00:00 -0000

ros-humble-launch (1.0.1-1jammy) jammy; urgency=high

  * Sandbox environment in tests to fix repeated job failures (#609 <https://github.com/ros2/launch/issues/609>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 Apr 2022 05:00:00 -0000

ros-humble-launch (1.0.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Apr 2022 05:00:00 -0000

ros-humble-launch (0.23.1-1jammy) jammy; urgency=high

  * Start Python faster in test_execute_processs_shutdown to avoid flakey failures (#608 <https://github.com/ros2/launch/issues/608>)
  * Fix warnings from importlib_metdata on Python 3.10. (#606 <https://github.com/ros2/launch/issues/606>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 05:00:00 -0000

ros-humble-launch (0.23.0-1jammy) jammy; urgency=high

  * Add boolean substitutions (#598 <https://github.com/ros2/launch/issues/598>)
  * Contributors: Kenji Miyake

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 30 Mar 2022 05:00:00 -0000

ros-humble-launch (0.22.0-1jammy) jammy; urgency=high

  * Support scoping environment variables (#601 <https://github.com/ros2/launch/issues/601>)
  * Fix awaiting shutdown in launch context (#603 <https://github.com/ros2/launch/issues/603>)
  * Fix parse respawn var (#569 <https://github.com/ros2/launch/issues/569>)
  * Make the logged command pretty in ExecuteLocal (#594 <https://github.com/ros2/launch/issues/594>)
  * Contributors: Jacob Perron, Kosuke Takeuchi

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 05:00:00 -0000

ros-humble-launch (0.21.1-1jammy) jammy; urgency=high

  * 'output' is expanded as a substitution in XML/YAML files (#577 <https://github.com/ros2/launch/issues/577>)
  * Skip warning test if warning already happend (#585 <https://github.com/ros2/launch/issues/585>)
  * Contributors: Khush Jain, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-launch (0.21.0-1jammy) jammy; urgency=high

  * Use asyncio.wait with timeout rather than sleep (#576 <https://github.com/ros2/launch/issues/576>)
  * Make test_parser compatible with Python older than 3.8 (#575 <https://github.com/ros2/launch/issues/575>)
  * Propagate exceptions of completed actions to launch service main loop (#566 <https://github.com/ros2/launch/issues/566>)
  * Warn when loading launch extensions fails (#572 <https://github.com/ros2/launch/issues/572>)
  * Add in two fixes for Jammy (#571 <https://github.com/ros2/launch/issues/571>)
  * Contributors: Chris Lalancette, Scott K Logan, Shane Loretz, tumtom

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-launch (0.20.0-1jammy) jammy; urgency=high

  * Evaluate math symbols and functions in python expression (#557 <https://github.com/ros2/launch/issues/557>)
  * Document TimerAction params (#558 <https://github.com/ros2/launch/issues/558>)
  * Improve launch arguments introspection (#556 <https://github.com/ros2/launch/issues/556>)
  * Update maintainers to Aditya Pande and Michel Hidalgo (#559 <https://github.com/ros2/launch/issues/559>)
  * Updated maintainers (#555 <https://github.com/ros2/launch/issues/555>)
  * First prototype of native pytest plugin for launch based tests (#528 <https://github.com/ros2/launch/issues/528>)
  * Allow for raw path specification in IncludeLaunchDescription (#544 <https://github.com/ros2/launch/issues/544>)
  * Adding Executable description class (#454 <https://github.com/ros2/launch/issues/454>)
  * event handlers: Allow to match the target action with a callable and not only with an object instance (#540 <https://github.com/ros2/launch/issues/540>)
  * Add AppendEnvironmentVariable action (#543 <https://github.com/ros2/launch/issues/543>)
  * Document EnvironmentVariable substitution resolution context caveat (#541 <https://github.com/ros2/launch/issues/541>)
  * Feature clear launch configs (#515 <https://github.com/ros2/launch/issues/515>)
  * Add examples to ExecuteProcess docs (#525 <https://github.com/ros2/launch/issues/525>)
  * Fix DeclareLaunchArgument xml parsing and constructor (#529 <https://github.com/ros2/launch/issues/529>)
  * Fix pytest run on Windows (#526 <https://github.com/ros2/launch/issues/526>)
  * Improving docs (#523 <https://github.com/ros2/launch/issues/523>)
  * Add filtering mechanism for executable prefix application (#522 <https://github.com/ros2/launch/issues/522>)
  * Contributors: Aditya Pande, Audrow Nash, Cameron Miller, Christophe Bedard, David V. Lu!!, Derek Chopp, Immanuel Martini, Ivan Santiago Paunovic, roger-strain

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 29 Nov 2021 06:00:00 -0000

ros-humble-launch (0.19.0-1jammy) jammy; urgency=high


